## org.apache.cassandra.db.compaction
Class Scrubber

    java.lang.Object
      org.apache.cassandra.db.compaction.Scrubber

All Implemented Interfaces:
  java.io.Closeable

    public class Scrubber

extends java.lang.Object
implements java.io.Closeable

Field Summary
`ColumnFamilyStore` `cfs`
`java.io.File` `destination`
`SSTableReader` `sstable`

Constructor Summary
`Scrubber(ColumnFamilyStore cfs, SSTableReader sstable)`
`Scrubber(ColumnFamilyStore cfs, SSTableReader sstable, OutputHandler outputHandler, boolean isOffline)`

Method Summary
`void` `close()`
`SSTableReader` `getNewInOrderSSTable()`
`SSTableReader` `getNewSSTable()`
`CompactionInfo.Holder` `getScrubInfo()`
`void` `scrub()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cfs

    public final ColumnFamilyStore cfs

### sstable

    public final SSTableReader sstable

### destination

    public final java.io.File destination

Constructor Detail

### Scrubber

    public Scrubber(ColumnFamilyStore cfs,
                    SSTableReader sstable)
             throws java.io.IOException

Throws:
  `java.io.IOException`

### Scrubber

    public Scrubber(ColumnFamilyStore cfs,
                    SSTableReader sstable,
                    OutputHandler outputHandler,
                    boolean isOffline)
             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### scrub

    public void scrub()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getNewSSTable

    public SSTableReader getNewSSTable()

### getNewInOrderSSTable

    public SSTableReader getNewInOrderSSTable()

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`

### getScrubInfo

    public CompactionInfo.Holder getScrubInfo()

Copyright © 2013 The Apache Software Foundation